﻿namespace RobloxLegacy.AppData;

public class StudioData : IAppData
{
    public string ExecutableName => "RobloxStudioBeta.exe";
    public string PackageName => "WindowsStudio64";
    public Dictionary<string, string> PackageFiles { get; } = new()
    {
        ["RobloxStudio.zip"]                    = "",
        ["RibbonConfig.zip"]                    = "RibbonConfig/",
        ["redist.zip"]                          = "",
        ["Libraries.zip"]                       = "",
        ["LibrariesQt5.zip"]                    = "",
        ["WebView2.zip"]                        = "",
        ["WebView2RuntimeInstaller.zip"]        = "",

        ["shaders.zip"]                         = "shaders/",
        ["ssl.zip"]                             = "ssl/",
        ["Qml.zip"]                             = "Qml/",
        ["Plugins.zip"]                         = "Plugins/",
        ["StudioFonts.zip"]                     = "StudioFonts/",
        ["BuiltInPlugins.zip"]                  = "BuiltInPlugins/",
        ["ApplicationConfig.zip"]               = "ApplicationConfig/",
        ["BuiltInStandalonePlugins.zip"]        = "BuiltInStandalonePlugins/",

        ["content-qt_translations.zip"]         = "content/qt_translations/",
        ["content-sky.zip"]                     = "content/sky/",
        ["content-fonts.zip"]                   = "content/fonts/",
        ["content-avatar.zip"]                  = "content/avatar/",
        ["content-models.zip"]                  = "content/models/",
        ["content-sounds.zip"]                  = "content/sounds/",
        ["content-configs.zip"]                 = "content/configs/",
        ["content-api-docs.zip"]                = "content/api_docs/",
        ["content-textures2.zip"]               = "content/textures/",
        ["content-studio_svg_textures.zip"]     = "content/studio_svg_textures/",

        ["content-platform-fonts.zip"]          = "PlatformContent/pc/fonts/",
        ["content-platform-dictionaries.zip"]   = "PlatformContent/pc/shared_compression_dictionaries/",
        ["content-terrain.zip"]                 = "PlatformContent/pc/terrain/",
        ["content-textures3.zip"]               = "PlatformContent/pc/textures/",

        ["extracontent-translations.zip"]       = "ExtraContent/translations/",
        ["extracontent-luapackages.zip"]        = "ExtraContent/LuaPackages/",
        ["extracontent-textures.zip"]           = "ExtraContent/textures/",
        ["extracontent-scripts.zip"]            = "ExtraContent/scripts/",
        ["extracontent-models.zip"]             = "ExtraContent/models/"
    };
}